<?php
/**
 * @file
 */
/**
 *
 */
function definitions_features_export_options() {
  $options = array();

  $exists = definitions_load_mutiple();

  if ($exists) {
    $options['definitions'] = t('Definitions');
  }
  return $options;
}

/**
 * Implementation of hook_features_export()
 */
function definitions_features_export($data, &$export, $module_name = '') {
  $pipe = array();
  $export['dependencies']['module'] = 'definitions';

  foreach ($data as $language) {
    $export['features']['definitions'][$language] = $language;
  }
  return $pipe;
}

/**
 * Implementation of hook_features_export_render()
 */
function definitions_features_export_render($module, $data, $export = NULL) {
  $definitions = array();

  $definiitons = definitions_load_mutiple();

  foreach ($definiitons as $definiiton) {
    $definitions[] = $definiiton;
  }

  $definitions_code = '  $definitions = ' . features_var_export($definitions, '  ') . ';';
  $definitions_code .= PHP_EOL . '  return $definitions;';
  return array('definitions_defaults' => $definitions_code);
}

/**
 *
 */
function definitions_features_revert($module_name) {
  $definitions = features_get_default('definitions', $module_name);

  // Truncate the complete definitions table.
  db_truncate('definitions')->execute();

  // Set all definitions to database with original did.
  if (!empty($definitions)) {
    foreach ($definitions as $definition) {
      definition_save($definition);
    }
  }
}

